## gtk+3.0 3.22.24

=== debian/changelog ===
gtk+3.0 (3.22.24-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1712011, #1719047)
  * Cherry-pick fixes committed after the 3.22.24 release:
    - 0001-Adwaita-Fix-typo-.backgrounf-.background.patch
    - 0002-theme-Fix-Adwaita-headerbars.patch
    - 0003-display-x11-Unset-tiled-state-if-_GTK_EDGE_CONSTRAIN.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 04 Oct 2017 19:37:55 -0400

gtk+3.0 (3.22.21-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * debian/patches/fix-gtk-menu-sliders.patch:
    + Removed, applied upstream.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Sep 2017 21:00:45 -0400

gtk+3.0 (3.22.19-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/libgtk-3-common.install.in:
    Install EmojiChooser gsettings schemas
  * Add fix-gtk-menu-sliders.patch:
    - Add patch from Bugzilla to fix regression with clicking on sliders in
      menus, such as with Unity's sound indicator (LP: #1712701)
      (Closes: #872687)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Aug 2017 22:38:55 -0400

gtk+3.0 (3.22.18-1ubuntu1) artful; urgency=medium

  * Merge with Debian (LP: #1710521). Remaining changes:
    + Install a settings.ini file to set our themes
    + Enable Mir backend
    + debian/control.in:
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/rules: Mark additional known test failures:
      - box-shadow-changes-modify-clip.ui
      - label-text-shadow-changes-modify-clip.ui
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - 074_eventbox_scroll_mask.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - ubuntu_fileselector_behaviour.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gtksocket-unscale-before-sending-configurenotify.patch
      - no_content_hub.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Aug 2017 15:39:24 -0400

gtk+3.0 (3.22.18-1) unstable; urgency=medium

  * Hi from Debconf
  * New upstream release!
    + Support entering emoji by name, using Ctrl-Shift-E (note there is a
      whitelist for this currently - see GtkImContext docs)
    + Wayland:
     - Add support for the shortcut inhibitor protocol
     - Support Wacome tablet wheel scrolling
  * debian/control{,.in}: Bump wayland-protocols to 1.9, per upstream.

 -- Iain Lane <laney@debian.org>  Thu, 10 Aug 2017 16:34:47 +0100

gtk+3.0 (3.22.17-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 26 Jul 2017 18:59:22 +0200

gtk+3.0 (3.22.17-0ubuntu2) artful; urgency=medium

  * remove debian/libgtk-3-common.gsettings-override, in the ubuntu-settings
    package now, per session.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 08 Aug 2017 10:49:49 +0200

gtk+3.0 (3.22.17-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 23 Jul 2017 09:02:40 -0400

gtk+3.0 (3.22.16-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Jun 2017 20:24:11 +0200

gtk+3.0 (3.22.15-0ubuntu2) artful; urgency=medium

  * debian/control.in
    - Bumped libpango1.0-dev build depends to >= 1.40.5 needed for 
      colornames test
    - Added build depends needed for the mir backend
  * debian/rules
    - re-enable mir backend
  * debian/libgtk-3-0.symbols
    - Refreshed
  * patches/no_content_hub.patch
    - Removed content-hub related code

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 22 May 2017 10:16:57 -0400

gtk+3.0 (3.22.15-0ubuntu1) artful; urgency=medium

  [ Ken VanDine ]
  * debian/rules
    - Disable mir backend
  * debian/control.in
    - Dropped build depends for mir and content-hub
  * debian/libgtk-3-0.symbols
    - Refreshed

  [ Iain Lane ]
  * New upstream release 3.12.15 (also includes 14, 13).

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 May 2017 13:17:19 +0100

gtk+3.0 (3.22.12-1ubuntu1) artful; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install the settings.ini file to set our themes
    + Install a gsettings override to start filechoosers in the cwd
    + Enable Mir backend
    + debian/control.in:
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/rules: Mark additional known test failures:
      - box-shadow-changes-modify-clip.ui
      - label-text-shadow-changes-modify-clip.ui
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - 074_eventbox_scroll_mask.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - ubuntu_fileselector_behaviour.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gtksocket-unscale-before-sending-configurenotify.patch
  * Drop the mir patches that have been applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 30 Apr 2017 23:03:11 -0400

gtk+3.0 (3.22.12-1) unstable; urgency=medium

  * New upstream release.


