## gtk+3.0 3.22.25

=== debian/changelog ===
gtk+3.0 (3.22.25-0ubuntu0.1) artful; urgency=medium

  [ Simon McVittie ]
  * New upstream release (LP: #1728421)
    - Fix tiling behaviour with Mutter/Shell 3.26 (Closes: #879566)
    - Fix crash when adding Google online account (LP: #1720400)
    - Fixes log spam about cursor when running gnome-terminal on Wayland
      (LP: #1681910)
    - Update symbols file
    - d/p/0001-Adwaita-Fix-typo-.backgrounf-.background.patch,
      d/p/0002-theme-Fix-Adwaita-headerbars.patch,
      d/p/0003-display-x11-Unset-tiled-state-if-_GTK_EDGE_CONSTRAIN.patch:
      Drop patches, applied upstream
    - d/p/gdk-wayland-protocol-server-decoration.patch:
      Add server-decoration.xml from upstream git. It is missing from the
      tarball release.

  [ Jeremy Bicha ]
  * Drop 0004_fix-gtkentry-wayland-regression.path:
    Because this caused a totem regression, we're fixing the
    bug in mutter instead.
  * Drop some unapplied patches from the package source

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 30 Oct 2017 16:07:23 -0400

gtk+3.0 (3.22.24-0ubuntu2) artful; urgency=medium

  * Add 0004_fix-gtkentry-wayland-regression.patch:
    - Cherry-pick fix for lag with Epiphany's address bar (Closes: #875826)
      (LP: #1719043)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Oct 2017 11:22:54 -0400
