## gtk+3.0 3.22.30

=== debian/changelog ===
gtk+3.0 (3.22.30-1ubuntu4) bionic; urgency=medium

  * debian/patches/print-dialog-check-cups-custom-options.patch:
    - Print dialog: Check whether an unknown option setting is actually a
      custom setting, patch from upstream (LP: #1763520, Upstream merge
      request: #434, #717).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  5 Jun 2019 15:46:01 +0200

gtk+3.0 (3.22.30-1ubuntu3) bionic; urgency=medium

  [ Sebastien Bacher ]
  * d/p/Check-for-NULL-priv-popup_window-in-gtk_combo_box_popdown.patch:
    - Check for NULL priv->popup_window in gtk_combo_box_popdown()
    (lp: #1816032)

  [ Andrea Azzarone ]
  * d/p/restore_filechooser_typeaheadfind.patch:
    - Disable typeahead if in search mode (LP: #1592177)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Apr 2019 17:30:09 +0200

gtk+3.0 (3.22.30-1ubuntu2) bionic; urgency=medium

  * Cherry-pick Force-emoji-presentation.patch:
    - Ensure that all emoji from the emoji chooser use emoji presentation
      instead of the black-and-white text presentation (LP: #1807719)
  * Cherry-pick emojichooser-Pass-chooser-to-add_emoji.patch:
    - Fix variant selector in emoji chooser (LP: #1807721)
  * Update Vcs fields for ubuntu/bionic branch

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 10 Dec 2018 13:39:31 -0500

gtk+3.0 (3.22.30-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in:
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/rules: Mark additional known test failures:
      - box-shadow-changes-modify-clip.ui
      - label-text-shadow-changes-modify-clip.ui
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gtksocket-unscale-before-sending-configurenotify.patch
  * New release includes fix for crash on container unrealize
    (LP: #1759468, #1764548)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 Apr 2018 20:23:45 -0400

gtk+3.0 (3.22.30-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop patches applied in new release (numbered 0009-0016)

  [ Simon McVittie ]
  * d/p/022_disable-viqr-im-for-vi-locale.patch:
    Add reference to Ubuntu bug 191451, summarize the reason why this
    is applied, and correctly attribute the patch to Ming Hua
    (see #895043)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 16 Apr 2018 19:55:32 -0400

gtk+3.0 (3.22.29-3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in:
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/rules: Mark additional known test failures:
      - box-shadow-changes-modify-clip.ui
      - label-text-shadow-changes-modify-clip.ui
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gtksocket-unscale-before-sending-configurenotify.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Apr 2018 12:16:41 +0200

gtk+3.0 (3.22.29-3) unstable; urgency=medium

  * Team upload
  * Allow stderr in autopkgtests. They produce harmless diagnostics.
  * d/p/0013-wayland-Drop-cairo-surfaces-when-withdrawing.patch:
    Add patch from upstream fixing a Wayland client crash if it unmaps
    a window while gdk is processing updates
  * d/p/0014-AM_PATH_GTK_3_0-Use-AC_PATH_TOOL-to-find-pkg-config.patch,
    d/p/0015-m4macros-Fix-underquoting-in-AC_PATH_TOOL.patch:
    Use AC_PATH_TOOL to find pkg-config in the deprecated AM_PATH_GTK_3_0
    macro (Closes: #894069)
  * d/p/0016-imwayland-destroy-objects-only-if-it-matches-our-man.patch:
    Add patch proposed upstream to fix crashes on screen blank in some
    dual-monitor configurations (Closes: #894388)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Apr 2018 08:41:09 +0100

gtk+3.0 (3.22.29-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in:
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/rules: Mark additional known test failures:
      - box-shadow-changes-modify-clip.ui
      - label-text-shadow-changes-modify-clip.ui
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch

