=== debian/control ===
--- 
+++ 
@@ -3,17 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.20141010),
-               cdbs (>= 0.4.93),
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 10.3~),
                gnome-pkg-tools (>= 0.11),
-               dpkg-dev (>= 1.17.14),
                gtk-doc-tools (>= 1.20),
-               dh-autoreconf,
-               docbook-xml,
-               docbook-xsl,
                pkg-config,
-               autotools-dev,
                dbus <!nocheck>,
                gsettings-desktop-schemas <!nocheck>,
                adwaita-icon-theme-full <!nocheck>,
@@ -49,19 +43,21 @@
                gobject-introspection (>= 1.41.3),
                libgirepository1.0-dev (>= 1.39.0),
                xauth <!nocheck>,
-               xsltproc,
                xvfb <!nocheck>,
-               libmirclient-dev (>= 0.13.3),
-               libmircookie-dev (>= 0.17.0),
 Build-Depends-Indep: libglib2.0-doc,
                      libatk1.0-doc,
                      libpango1.0-doc,
-                     libcairo2-doc
-Standards-Version: 3.9.8
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
-XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtk+3.0/
-XS-Debian-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk+3.0/
-Homepage: http://www.gtk.org/
+                     libcairo2-doc,
+                     docbook-xml,
+                     docbook-xsl,
+                     xsltproc,
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0?h=ubuntu/bionic
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0 -b ubuntu/bionic
+Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
 Architecture: any
@@ -76,9 +72,6 @@
 Recommends: libgtk-3-bin
 Suggests: librsvg2-common,
           gvfs
-Breaks: gnome-themes-standard (<< 3.6),
-        gtk3-engines-oxygen (<< 1.4.1-3)
-Pre-Depends: ${misc:Pre-Depends}
 Description: GTK+ graphical user interface library
  GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK+ is suitable
@@ -88,9 +81,8 @@
  This package contains the shared libraries.
 
 Package: libgtk-3-0-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -112,8 +104,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: libgtk-3-0
-Breaks: libgtk-3-0 (<< 3.5.4)
-Replaces: libgtk-3-0 (<< 3.5.4)
 Description: common files for the GTK+ graphical user interface library
  GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK+ is suitable
@@ -150,8 +140,6 @@
          ${shlibs:Depends},
          libglib2.0-dev (>= 2.49.4),
          libgdk-pixbuf2.0-dev (>= 2.30.0),
-         libmirclient-dev (>= 0.13.3),
-         libmircookie-dev (>= 0.17.0),
          libpango1.0-dev (>= 1.40.5),
          libatk1.0-dev (>= 2.15.1),
          libatk-bridge2.0-dev,
@@ -202,13 +190,10 @@
 
 Package: gtk-3-examples
 Section: x11
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgtk-3-0 (= ${binary:Version})
-Breaks: libgtk-3-common (<< 3.5.4)
-Replaces: libgtk-3-common (<< 3.5.4)
 Description: example files for GTK+ 3
  GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK+ is suitable
@@ -228,6 +213,8 @@
          ${gir:Depends}
 Breaks: python-gi (<< 3.18),
         python3-gi (<< 3.18),
+Provides: gir1.2-gdk-3.0 (= ${binary:Version}),
+          gir1.2-gdkx11-3.0 (= ${binary:Version})
 Description: GTK+ graphical user interface library -- gir bindings
  GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK+ is suitable
@@ -262,7 +249,6 @@
          ${shlibs:Depends},
          libgtk-3-0 (= ${binary:Version}),
          at-spi2-core
-Pre-Depends: ${misc:Pre-Depends}
 Description: GNOME Accessibility Implementation Library -- shared libraries
  Gail implements ATK interfaces for GTK+ widgets which are dynamically
  loadable at runtime by a GTK+ application. Once loaded, those parts of
